#
# spec file for package tripleo-image-elements
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 6.0.0.dev1

Name:           tripleo-image-elements
Version:        6.0.0~a0~dev1
Release:        1.4
Summary:        Disk image builder elements for deploying OpenStack
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/openstack/tripleo-image-elements
Source:         http://tarballs.openstack.org/tripleo-image-elements/tripleo-image-elements-master.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pbr >= 0.5.10
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-fixtures
BuildRequires:  python-oslotest
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
Requires:       diskimage-builder
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-argparse
BuildRequires:  python-discover
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
# No stuff in python_sitelib, thus autoreqprov won't work:
Requires:       python(abi) = %{py_ver}
BuildArch:      noarch
%endif

%description
These elements are used to build disk images for deploying Openstack via Heat.
They are built as part of the TripleO (https://github.com/tripleo/incubator)
umbrella project.

%prep
%setup -q -n %{name}-%{version_unconverted}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
if [ ! -d ./.testrepository ] ; then testr init ; fi
testr run %{?_smp_mflags:--parallel %_smp_flags} #; RET=$? echo "Slowest Tests" ; testr slowest && exit $RET

%files
%defattr(-,root,root,-)
%doc ChangeLog README.md LICENSE AUTHORS
%{_datadir}/%{name}
%{python_sitelib}/tripleo_image_elements-%{version_unconverted}*.egg-info/

%changelog
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-6.0.0.dev1:
  * Open tripleo-image-elements for Ocata
  5.0.0.0rc2
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-5.0.0.0rc2.dev1:
  * Add stable release to image elements
  5.0.0.0rc1
* Fri Aug 12 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-5.0.0.0b3.dev2:
  * Restore rdo-release element
* Wed Aug 10 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-5.0.0.0b3.dev1:
  * Deprecate old RDO release
  5.0.0.0b2
* Wed Jun 22 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-5.0.0.0b2.dev6:
  * Use the correct capitalization of OpenStack
* Tue Jun 14 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-5.0.0.0b2.dev5:
  * Fix is_local_ip matching
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-5.0.0.0b2.dev3:
  * Replace deprecated LOG.warn with LOG.warning
* Wed Jun  8 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-5.0.0.0b2.dev2:
  5.0.0.0b1
  * making ansible version configurable
  * adding libffi-dev to required packages
* Tue May 31 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.10.dev12:
  * Remove tuskar-ui element
* Fri May 27 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.10.dev10:
  * Remove tuskar element
* Tue May 17 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.10.dev9:
  * Don't send duplicate signals via 99-refresh-completed
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.10.dev8:
  * Add .yaml extension to package installs
  * Use package-installs for undercloud elements
  * Don't set default install type for os-cloud-config to pip
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.10.dev4:
  * Remove mysql-dev dependency from os-svc-install
  * Work around leak in dhcp-all-interfaces udev rule
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.10.dev1:
  0.9.9
  * py26 is no longer supported by Infra's CI
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.9.dev2:
  * Correct ping test when using Swift temp_urls
  * Deprecated tox -downloadcache option removed
  0.9.8
* Fri Feb 26 2016 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.8.dev2:
  * Drop pip-and-virtualenv element
* Sat Dec 19 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.8.dev1:
  0.9.7
  * os-net-config: add configure_safe_defaults
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev40:
  * Update squid element to reflect current usage
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev38:
  * Load the validation-scripts as role extra data for tuskar init
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev36:
  * [Labs] Update links to Cloud Admin Guide
  * Wires up neutron tunnel_id_ranges and vni_ranges for config
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev32:
  * Add contrail-repo element
* Sat Sep 26 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev30:
  * Enable delorean-deps
* Tue Sep 22 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev29:
  * os-net-config: add ping_metadata_ip function
  * Update tuskar to support renamed heat roles
  * Bandersnatch README.md cleanup
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev24:
  * Add os-collect-config template for zaqar support
* Sat Aug 29 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev23:
  * Temporarily remove Heat migration 065
  * Support for configuring Liberty openvswitch_agent.ini
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev20:
  * Default to latest rdo-release
* Mon Jul 27 2015 tbechtold@suse.com
- Update to version tripleo-image-elements-0.9.7.dev18:
  * Adds neutron_dhcp_agents_per_network config parameter to neutron.conf
  * Make /etc/os-collect-config.conf only root readable
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev15:
  * Have all os-refresh-config elements use su instead of sudo
* Wed Jul  8 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev14:
  * Add support for full images
* Fri Jul  3 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev12:
  * Update pbr version to match global requirements
* Mon Jun 29 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev10:
  * Explicitly set the default Ceph scale to 0
* Wed Jun 24 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev9:
  * Moving stack parameter defaults to Tuskar install
  * Return derived config id when signalling deployments
* Sat Jun 20 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev5:
  * Added keystone auth configuration to the tuskar element
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev4:
  * Set empty dhcp_domain for Neutron dhcp
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.7.dev3:
  * Use nagios-common instead of nagios-plugins-all on RHEL
  0.9.6
  * Migrate os-*-config to package-installs v2
* Thu May 28 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.6.dev3:
  * Add roles to plan during Tuskar install
  * Include yum update extra files
* Tue May 12 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.5:
  0.9.5
  * Add ability to disable stunnel
  * Revert "An element to force install Qemu 2.1.3-3 on F21"
* Fri May  8 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.5.dev22:
  * Fix path to neutron dsn
* Thu May  7 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.5.dev20:
  * Make delorean.repo overrideable
  * Fix ubuntu grub-pc install failure
* Fri May  1 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.4.post20:
  * Downcase /etc/hosts entries
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.4.post18:
  * Disable dhcp_domain in Nova so we do not append .novalocal
  * Don't install the keystone client cli
  * Drop usage of keystoneclient
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.4.post12:
  * Add openstack-keystone to pkg-map
  * Enforce owner readonly permissions on stackrc
  * Compile horizon translation files
  * SELinux keepalived read denials
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.4.post5:
  * Make tuskar resource registry overrideable
  * load puppet overcloud heat templates and resource registry
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.4.post1:
  * An element to force install Qemu 2.1.3-3 on F21
  0.9.4
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.3.post9:
  * Check USE_CACHE for fedora and ubuntu images
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.3.post7:
  * Fix typo in elements/mariadb-rpm/os-refresh-config/configure.d/52-mariadb-rpm-init
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.3.post5:
  * Prevent unclustered RabbitMQ with 0 nodes
  * Change where we look for ROOT_PATH
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.3.post2:
  * Add missing quotes to STATIC_ROOT in horizon settings
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.3.post1:
  * Identify os-net-config conf file as autogenerated
  0.9.3
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post45:
  * Work around 20-neutron-selinux issues on F21
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post43:
  * Store collectl logs in /mnt/state/var/log/collectl
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post41:
  * Fedora 21 tftp files fix (copy in syslinux modules)
  * Open port 11211 for memcache in swift-proxy clusters
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post37:
  * Create Fedora 21 softlink for /var/run/mariadb
* Fri Mar  6 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post36:
  * Drop augtools from the tempest element
  * os-collect-config.conf template request collector
  * Correct typo in the restore-ssh-host-keys element
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post30:
  * Open Tuskar API port in iptables
* Tue Feb 24 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post29:
  * Move horizon iptables script to run after os-apply-config init
* Sat Feb 21 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post27:
  * Allow configurable healthcheck interval
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post26:
  * Fix the AUTH URL v2 to v3 conversion
  * Fix indentation errors in init-neutron-ovs
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post22:
  * Do not override tempest.conf from pass-through
  * Fix the STATIC_ROOT after overwriting local_settings.py
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post18:
  * Add pkg-map for os-*-config
  * tox: fix the test suite
  * Ceilometer API fails: bad rabbit_use_ssl setting
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post12:
  * Remove install-static element
  * Custom policy for openvswitch SELinux denials
* Thu Feb  5 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.2.post8:
  * NTP service can fail or be slow to stop
  0.9.2
  * Remove /opt/stack/{repo} files
  * Adjust Test env requirements
  * Rabbitmq logrotate broken
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.1.post18:
  * Fix multipath.conf devnode blacklist expression
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.1.post16:
  * Signal all o-a-c deployments in 99-refresh-completed
  * Support common venv for os-*-config
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.1.post12:
  * Delorean: going back in time fails,package caching
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.1.post10:
  * Update correct cloud-init hosts template file on RHEL
  0.9.1
  * Stop, disable, exit os-collect-config early
  * Ensure-bridge duplicates allow-$bridge stanza
  * Correct unbound variable in ssl-ca element
  * Don't rebuild swift rings if already exist
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post100:
  * Add an element to restore ssh keys from /mnt/state
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post98:
  * Log from upstart console
* Tue Jan 20 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post96:
  * Revert "Add support for pxe_ilo driver"
  * Enable git install of os-cloud-config
  * Set ca certificate file for keystone and nova
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post90:
  * Adding iptable rules for swift-storage DIB element
  * Create os-cloud-config element
  * Open firewall for VNC to Nova compute instances
* Fri Jan 16 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post84:
  * NTP fail to sync if time sync is not performed
* Thu Jan 15 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post82:
  * Give ceilometer.conf rabbit_port a default
  * Remove hack to reformat os-apply-config output
  * Swift proxy memcache authtoken additions
  * Enable Bulk requests middleware in swift proxy pipeline
  * RabbitMQ SELinux policy update
* Tue Jan 13 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post72:
  * Use DIB_DEFAULT_INSTALLTYPE=package
  * Improve rabbitmq_join_cluster on failure
* Sat Jan 10 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post68:
  * Allow for usage of l3_ha in neutron config
  * Remove setuptools <8.0 pinning
  * Cleanup lockfile with trap
  * Allow VxLAN udp port 4789 and multicast
  * Use keepalived notify script if virtual_interfaces are defined
* Fri Jan  9 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post58:
  * add ipv6 radvd package to neutron-router
  * Update iptables to support variable Horizon port
  * Split RabbitMQ actions out of startup script
  * Add support for pxe_ilo driver
* Wed Jan  7 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post50:
  * add conntrack in neutron-router element
  * Fix mustache context cascading in stunnel config
  * Open port 16509 on compute nodes for Nova live migration
  * Only install CA cert if file is likely to be a valid cert
  * Secure MySQL clustering with SSL
* Tue Jan  6 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post40:
  * Adds session_engine variable for memcached config
  * Log directly to syslog from os services
* Sun Jan  4 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post36:
  * Use oac to create .erlang.cookie
* Fri Jan  2 2015 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post34:
  * Support RedHatEnterpriseWorkstation in add-rule
* Mon Dec 29 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post32:
  * Implements: log rotation for keepalived
* Thu Dec 25 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post30:
  * Configurable tests2skip file in tempest element
* Wed Dec 24 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post28:
  * Add iptables rule for nova and mysql
  * Grant privs to localhost and flush privs
  * Only configure Ceilo DB connection if it is set
  * Allow setting ca_certificate option for metadata api
* Tue Dec 23 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post20:
  * Add a tempestrunrc for configuring run-tempest
  * Move static settings from run-tempest into conf
* Fri Dec 19 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.post16:
  * Disable set -x for passwords
  * Only configure Neutron DB connection if it is set
* Thu Dec 18 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.12:
  * os-net-config: log at log level info again..
* Wed Dec 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.11.g9cec4f6:
  * Run restorecon against actual rabbitmq directories
  * reset-db to get all db parameters from the config
  * Wait for tuskar-api to start up
* Tue Dec 16 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.5.g0a61cca:
  * Pin setuptools to <8.0
  * Add pass-through support for tempest element
* Sat Dec 13 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.9.0.2.g5e2725f:
  0.9.0
  * Add a pypi mirror to the ci overcloud
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.228.g5000a1d:
  * System dnsmasq daemon should only listen on lo
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.226.gdb14a65:
  * Add Neutron DVR configuration variables
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.224.gace480b:
  * Migrate horizon element to svc-map
  * move maxconn from each backend to the overall configuration
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.220.gc15162c:
  * Change the kill_metadata executable strings in Neutron
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.218.ga743e8b:
  * Update Ansible version to 1.8.1
  * Fix some hardcoded places in deploy-ci-overcloud
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.214.g2c52702:
  * Fix the bandersnatch element on ubuntu
  * Remove selinux from os-svc-install element-deps
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.210.gfc23633:
  * Lowercase rabbitmq nodes
  * Deprecate positional args for os-svc-daemon
  * Create HACKING.rst for elements
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.205.g4369880:
  * Add bandersnatch element
  * Add new nscd element
* Thu Nov 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.201.g5d36b7c:
  * Add a delorean-repo element
  * Fix syntax error in deploy-ci-overcloud
  * Increased protection to prevent vip
  * Modify sysctl-set-value script to support multi-value parameters
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.193.g73c24a0:
  * Switch Nova to the Cinder v2 API
  * Migrate keepalived to svc-map
  * Migrate keystone to svc-map
  * Migrate ironic-conductor to svc-map
  * Disable save of iptables on package install
  * Set explicit route for VIPs
  * Install os clients from git
  * Add package support to ceilometer-alarm-evaluator
  * os-net-config: use package-installs
  * Migrate heat-engine element to svc-map
  * Migrate haproxy to svc-map
* Tue Nov 25 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.171.gaccd4ac:
  * Set lock_path in cinder.conf
  * Add package support to ceilometer-alarm-notifier
* Sat Nov 22 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.168.g3710311:
  * Add neutron.ovs.local_ip to static seed json
  * Fix stunnel SSL options
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.164.gea71d4b:
  * Change rabbitmq-server log file names to not use the '@' character
  * Fix element-deps file name
  * Add pycrypto install to swift-proxy element
  * Restart stunnel earlier in configure.d
  * Install the correct mysql-dev package for RHEL6
  * Only configure Nova DB connection if it is set
  * Bump hacking to 0.9.x series
  * Enable os-collect-config on boot for packages
  * Migrate ironic-api to svc-map
  * Install and configure MySQL `clustercheck`
  * Migrate heat-api element to svc-map
  * Fix incorrect service name on Debian in `add-rule`
  * Switch to the default os-refresh-config base dir
  * Allow ansible venv path to be customized
  * Fix horizon package install
  * Remove unused physical_network parameter in tripleo-image-elements
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.132.g98cebc4:
  * Revert "We need to tell upstart to expect the logger fork"
  * Check stunnel.connect_host not stunnel.connect_ip
  * Properly format markdown code blocks
* Fri Nov 14 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.126.g72c1dde:
  * We need to tell upstart to expect the logger fork
* Thu Nov 13 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.124.g85c807a:
  * Add source and package install for Tuskar client
  * adding local boot support for uboot arm arch
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.121.g00944b8:
  * Support custom privileges for managed MySQL users
  * Mention dib-utils package in sample instructions
  * Remove deprecated vconfig support
  * Migrates glance element from map-services to svc-map
  * Make deploy-ci-overcloud script configurable
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.111.g8e5ae26:
  * Switch to current options in nova.conf
* Fri Nov  7 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.110.gd99cf49:
  * Add package support to the Ansible element
* Thu Nov  6 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.108.ga003379:
  * Migrate to package-installs scripts
  * Combine policy installs into one operation
  * Fix RabbitMQ element clustering start and stop
  * Correct the README.md descriptions
  * Tuskar: support packaged heat templates
* Mon Nov  3 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.98.g2a656d8:
  * Nova consoleauth service fails in HA configuration
  * Parametrize Swift mount_check setting
* Sat Nov  1 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.94.ge528244:
  * Simplify keepalived custom policy
  * Implement persistence of iptables on reboot
  * Remove redundancies between neutron-router and neutron-network-node
  * Create 'neutron-router' image element
  * Support new virtual_interfaces definition for VIPs
* Fri Oct 31 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.84.gb1ac3e3:
  * Move to keystone.token.persistence.backends.sql.Token
  * Add elements for Ceilometer alarm services
  * swift rsyncd config max connections is not standard/recommended
  * Add ssl options for ceilometer rabbitmq connection
  * Change how SELinux policies are compiled
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.75.g5dc2bc5:
  * Ensure password is set correctly on existing users
  * Remove hack to start openvswitch
  * Short circuit init-neutron-ovs
  * Increase rabbitmq timeout
  * Copy static files for packaged installs
  * Remove vif_plugging workaround
  * Adds svc-map to cinder elements
  * Replace ensure-bridge w/ os-net-config
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.59.ga21461a:
  * Make 101-tuskar-ui re-runnable
  * Install openstackclient
  * Make os-net-config depend on openvswitch
* Tue Oct 28 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.54.g0527ca7:
  * Neutron is not Ironic
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.52.gb623f0f:
  * Add package install support for tuskar-ui
  * Add package install support for tuskar
  * Remove pip install --pre
  * Fix the Fedora image download
  * Fix sed regex for deleting old configs
  * The Nova dhcp_options_enabled flag doesn't exist
  * Make rdo-release install safe
  * Improve nfs-server to support multiple shares and options
  * Add missing packages to tempest element
  * Use keystone identity_uri instead of auth_*
  * systemd: always use /lib/systemd
  * Migrate geard to svc-map
  * Migrates corosync element to svc-map
  * Migrate from map-services to svc-map
  * Migrates from map-services to svc-map
  * Add SSL PKI properties for keystone
  * Use Percona Packages for Ubuntu and Debian
  * Disable SSLv3 in Stunnel
  * SELinux: Fix /mnt/state/var/log/keepalived context
  * Adds svc-map to apache element
  * Symlink to backup dir until ephemeral storage available
  * Handle double path registration
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.9.g797453e:
  * sets novnc endpoint uri to https if tls is enabled
  * Update Horizon to use NEUTRON instead of QUANTUM
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.10.5.ga16cbda:
  * Ensure neutron rootwrap.d symlink is not nested
  0.8.10
  * Migrate ceilometer elements to svc-map
  * Add svc-map to cinder-api
  * Add ironic to enable-packages-install
  * ensure that port is added to bridge after a reboot
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.9.32.g98dc566:
  * Default to the "scale" deployment mode
  * Make haproxy timeout configurable
  * Remove all first-boot.d references
  * Add Nova Admin access to neutron.conf
  * Configure logging for keepalived
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.9.22.ge03f683:
  * Add ability to enable debug logging on seed
  * Support Debian distro for iptables
  * Fix os-svc-install
  * SELinux: swift denied access to /var/lib/swift/.local
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.9.14.gccb5f14:
  * Work around keepalived split brain
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.9.12.g927e844:
  * Associate default images to storage roles
  * Load the storage roles in Tuskar if they exist
  * Correct slo middleware position swift proxy-server pipeline
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.9.6.g9df761e:
  0.8.9
  * SELinux: Fix keepalived killall denials
  * Add Ironic Discoverd setting to Tuskar-UI
  * Migrate hard-coded values from deploy-ci-overcloud
  * Configures novnc proxy to listen on local-ipv4
  * Make sure that keystonemiddleware package is installed
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.8.39.g68d3b92:
  * Install static element files
  * Passthrough-enable ceilometer.conf
* Wed Oct  8 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.8.37.gb5bc845:
  * Secure the MySQL bind-address on the seed
  * Change initial state and failback policy for VIP
* Mon Oct  6 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.8.33.gfc86d65:
  * Use --resource-registry parameter
  * haproxy global maxconn is less than default maxconn
  * Add initial svc-map support
  * SELinux: allow openssl access to /run/keystone
  * Custom SELinux policy for rhsmcertd
  * RHEL SELinux custom policy for neutron-ns-meta
  * Allow custom root labels
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.8.19.g3ca8130:
  * Add package install support
  * SELinux: Allow swift access to ephemeral ports
  * Hash instance-id instead of expecting specific format
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.8.13.gb3a9958:
  * Revert "Install static element files"
  * Fix heat purge deleted cron job
  * Fix DISTRO_NAME usage for centos7 element
  * Keystone LDAP domain configuration
  * Install static element files
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.8.3.g4dbfc3a:
  * Ensure correct permissions for /var/lib/mysql when dir is recreated
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.8.2.gff47fae:
  0.8.8
  * Ensure tempest writes a full manifest
  * Run django-admin collectstatic for horizon
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.68.g34f2c9e:
  * Add network-gateway element
  * Add DEPLOYMENT_MODE to local_settings.py
  * Fix selinux permissions for non-primary MariaDB/Galera nodes
  * RabbitMQ element requires use-ephemeral
  * Install seabios-bin on rhel7
  * Add hp2 region
* Sun Sep 28 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.56.g4ca9b79:
  * Fix swift object-server cffi version mismatch bug
* Sat Sep 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.54.g5fea32f:
  * Passthrough enable heat.conf
  * Add swift.proxy-memcache metadata to proxy-server.conf
  * Fix memcache listen port setting on debian-based OSes
* Fri Sep 26 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.48.g7608c59:
  * Handle static files properly
  * Update Tuskar element
  * Fix selinux permissions for rabbitmq_beam_t on /var/lib/rabbitmq
  * Add /var/log/rsyncd.log stateful path
  * Extract stunnel from openstack-ssl
  * Ceilometer package install support
* Wed Sep 24 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.36.g20d41c6:
  * Updated tuskar-ui install to setup roles and various parameters
  * Remove cinder configs from the seed config.json
  * Create the h1.ci flavor on ci-overclouds
  * Reduce resource requirements set aside for testenvs
* Tue Sep 23 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.28.g2006ed2:
  * Enable the neutron dhcp and l3 agents
  * Fix here-doc completion marker
  * Add an element to install os-net-config
  * Move tripleo-bm-test network to 172.16.0.0/22
  * added clean_users flag in metadata
  * Link to volumes_dir
  * Use auth_token from keystonemiddleware
  * For Glance add port 9191 to the iptables list
* Mon Sep 22 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.12.g8bf5571:
  * Add pkg-map to swift-ring element dependency file
  * Enable automatic failover of l3 routers
  * Use pkg-map for keystone source-install
  * Fix ansible element to build standalone
* Sat Sep 20 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.7.5.ge22b35c:
  * Decrease squids cache max freshness time
  0.8.7
  * Adds Tuskar-UI element
  * Install the psmisc package in the keepalived element
* Thu Sep 18 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.6.28.g4b3d93e:
  * Enable haproxy service in os-refresh-config phase
  * Package install support for nova-ironic
  * Add swift-ring element
* Wed Sep 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.6.22.g4511b25:
  * Package install support for ironic-conductor
  * Package install support for ironic-api
  * Package install support for ironic
  * Leave symlinks for RabbitMQ state paths
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.6.14.g6b2b699:
  * Install ipset for the ml2 agent
  * Run post-configure.d/15-apache2 earlier
  * Add SELinux policy for Horizon
  * Refresh the glance images for squid and te-broker
* Fri Sep 12 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Add-openvswitch-datapath-mapping-for-SUSE.patch dropped (merged upstream)
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.6.6.ga3a4118:
  0.8.6
  * Don't start keepalived service until required configuration is available
  * Configure NTP on hp1 TE's
  * nova: support setting scheduler_host_manager
  * Allow swift "min_part_hours" to be configurable
  * Add openvswitch-datapath mapping for SUSE
  * Revert "Pull in patched eventlet to fix Second Simultaneous errors"
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.5.29.g2d16154:
  * Change pacemaker default no-quorum-policy to 'stop'
  * Update fedora-rdo-icehouse element
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.5.25.gfd3deaf:
  * Install the correct arping package for neutron
  * Remove pinning of requests for os-collect-config
  * Explicitly set swift bind_port(s) in .conf files
  * Add rhel7-rdo-icehouse element
  * Add check_mk swift proxy diagnostic
  * Symlink /etc/my.cnf instead of deleting it
  * Adding HTTP mode to HAProxy stats
* Tue Sep  9 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.5.11.g50f1a08:
  * Drop all direct usage of systemctl enable
  0.8.5
  * Leave a symlink when to at /var/lib/cinder
  * Fix up os-collect-config.conf on the seed
  * Query os-refresh-config for base dir
  * Correct configuration of o-c-c collectors
  * Add new enable-packages-install element
* Thu Sep  4 2014 dmueller@suse.com
- add 0001-Add-openvswitch-datapath-mapping-for-SUSE.patch
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.4.35.gbc3d153:
  * Enable and start httpd
  * Keystone/LDAP integration
  * On ubuntu break app logs into their own files
  * Remove localboot provides
  * mariadb: call os-svc-enable
  * We deploy CI clouds HA, use HA storage in swift
  * Fix ml2_conf.ini passthru comments
* Wed Sep  3 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.4.21.gbfc11f5:
  * Run cinder-volume in active/passive mode for NFS backend
  * Add helper script for defining pacemaker resources
  * Fix dib-lint failures
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.4.15.gd8ead0f:
  * Pin requests to version < 2.4.0 due to bug
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.4.14.g3dc5c81:
  * Prevent httpd binding to 0.0.0.0
  * Only fixup horizon if installed from source
  * Move the creation of 10-horizon-venv-dir.bash to source-install
  * Allow operator to disable Swift ring building
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.4.6.g6a2db8f:
  * Revert "Add workaround for reloading haproxy on Fedora"
  * Revert "Revert "Adding haproxy reload check""
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.4.4.g1128e31:
  0.8.4
  * Workaround broken Horizon
  * Update Neutron plugin conf file reference
  * Using arithmetic transformers in pipeline
  * Add rdo-icehouse element
* Wed Aug 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.3.37.g298595c:
  * Make use of openvswitch elements
  * Add openvswitch-datapath mapping for redhat
  * Install files properly
* Sat Aug 23 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.3.31.g8f28bbd:
  * Addition of basic ansible install
  * Fix prepare-ci-overcloud floating IP handling
  * Log tripleo services to syslog
* Fri Aug 22 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.3.25.g8bd9f4b:
  * Move Cinder NFS backend driver config in cinder-volume-nfs element
  * Link to ml2_conf.ini
  * Improve percona cluster initialization
  * Force heat_local collector on seed first boot
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.8.3.17.g4562892:
  * Remove hardcoded version
  * PEP8 on the doc and elements files
  * Fix issues with provider networks and public ips
* Wed Aug 20 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev12.ge9b2a55:
  * Add security group rules to tripleo-ci/default
  * Fix diff return code in hosts element
  * Use neutron-rootwrap from /usr/bin
  * Run dbsync commands with service user
  * fix: test_os_svc_daemon.py
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev3.g9f79e4c:
  * Add /usr/local/bin to cinders rootwrap.conf
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev1.g0c154b6:
  * Depend on use-ephemeral
  0.8.3
* Sat Aug 16 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev72.g77c3177:
  * Add pkg_map support to openvswitch elements
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev70.g0a091ca:
  * Remove hard-coded ports form ring builder script
  * Add rdo-release element
  * Custom policy for nova-api tmpfs errors
  * Custom policy for ssh-keygen failure
  * Fix Fedora builds on Ubuntu
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev60.g8c2cb05:
  * Revert "Use pacemaker to run neutron l3 agent and metadata agent"
  * Revert "Revert "Adding haproxy reload check""
  * Add workaround for reloading haproxy on Fedora
  * Use pacemaker to run neutron l3 agent and metadata agent
  * Use pacemaker for running ceilometer central agent
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev51.gdc9588a:
  * Modify symbolic link creation
  * ssl-ca: Allow CA certificate to be specified
  * Fix mysql element on centos7
  * Revert "Fix argparse issue for RHEL 6.5."
  * Don't allow swift-recon cron job to send mail
  * Set cinder_catalog_info in nova.conf
  * Fix /etc/nova permissions
  * Fix /var/run SELinux file contexts
  * Bump the size of the squid cache_dir
  * use os-svc-enable to enable openvswitch
* Tue Aug 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev31.g4ec6763:
  * Network init order fixes for VIP
  * Fix l3.filters and dhcp.filters file for tripleo installations
  * Add new multipath element
  * Set the MAC address for ensure-bridge bridges
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev24.g73e1ae1:
  * Keepalived reload check addition
  * Try to start neutron-server first
  * Fix pacemaker cluster configuration
  * Support for haproxy server options
  0.8.2
  * Revert "Adding haproxy reload check"
  * Hosts element: Use 'markers' for updating hosts
  * Use ml2_conf.ini in neutron-openvswitch-agent
  * Prefer rabbit.host over rabbit.nodes
  * Allow arbitrary listener options for haproxy
  * Ensure Cinder uses the VIP when contacting Glance
  * Enable haproxy_connect_any port access
  * Allow keepalived to load kernel modules
  * Compile and install custom SELinux policies
  * Add passthrough to etc/swift.conf
  * Add local_bind flag to my.cf
  * Update the cinder-lio element to use the venv dir
* Fri Aug  1 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev67.gaeb7741:
  * Adding haproxy reload check
  * Permit non-loopback guest access to Rabbit
* Thu Jul 31 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev63.gcc2be17:
  * Use keystone.host in stackrc
  * Add proxy-logging to proxy-server pipeline
  * Use corosync.nodes when creating list of nodes in corosync cluster
* Tue Jul 29 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev57.g9c50764:
  * Pull in patched eventlet to fix Second Simultaneous errors
  * Add heat support to os-collect-config.conf
  * Add unit test to enforce unique file names
* Mon Jul 28 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev51.g7e52bbd:
  * Add psmisc package to ironic-conductor
* Sat Jul 26 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev49.g1dce7e6:
  * Reserve the keystone high port out of ephemeral
  * Move te-broker default IP address to 1.254
  * Add script to prepare a ci-overcloud
  * Additional SELinux scripts
  * mysql: call os-svc-enable
  * Permit specification of host in stunnel templates
  * Create/configure cinder's image_conversion_dir
  * cinder-volume: install qemu-img for conversions
* Fri Jul 25 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev34.gf4acba1:
  * Add detection of mysql restart failure
  * Support init.d-using services in os-svc-enable
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev30.g17207d3:
  * HP1 region deploy config fixups
  * Add a hp1 region configs
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev26.ge2cd5fa:
  * Run migrations from only the bootstrap host
  * Read glance protocol, port for glance_api_servers
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev22.g53b6c96:
  * Correct SELinux file contexts
  * Load SELinux policy during image builds
  * Fix /etc/hosts SELinux file context
  * Move python-memcached install after venv install
  * Make use of ip route replace in ensure-bridge
  * Move rabbitmq-server cluster port
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev11.gc7d5246:
  * openvswitch and openvswitch-datapath element
  * Prevent multiple MySQL masters
  * Revert "Adds passthrough config for cinder rootwra
  * add support for Horizon's caches backend configuration (memcached)
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev4.gf3d058f:
  0.8.1
  * Move libvirt's qemu configuration dir to state fs
  * Add new sosreport element
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev25.gc304a06:
  * Revert "Move libvirt's qemu configuration dir to state fs"
  * Fix argparse issue for RHEL 6.5
  * Rename mariadb-rdo to mariadb-rpm
  * Add a sysctl-append-value script
  * Shift sysctl.d writing code to a new script
  * Adds passthrough config for cinder rootwrap
  * Passthrough-enable for nova-<service>.conf
  * Move libvirt's qemu configuration dir to state fs
  * Auto-collect local checks
  * Move python-netaddr install to network-utils
  * Issue in openstack-client that stops nova being in a common-venv
* Mon Jul 14 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev3.g55e8e71:
  * Make 74-cinder-tgt executable
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev1.g884ab16:
  * Remove references to os-config-applier
  0.8.0
  * Use /simple instead of /openstack for pypi mirror
  * Rename os-config-applier to os-apply-config
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev19.gbc71c4d:
  * ensure-bridge: bring up bridges first on Debian
  * Sync mariadb cluster init with mysql element
  * Specify nova configuration file with --config-dir
  * Templatize keystone ssl keys/certs
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev11.g600cd54:
  * Sync ml2 vlan ranges with ovs agent
  * Allow single node mysql clusters to restart
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev7.g431af16:
  * Add getopt to ensure-bridge
  * Add debug and verbose log support for Ironic
  * Unbreak Ironic default logging
* Sun Jul  6 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev1.g8e30615:
  * Fix ceilomter-api bind host config settings
  0.7.11
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev29.g8739e40:
  * Add nova url to neutron.conf
  * Syntax fix the keepalived docs
  * MySQL: Enable passthrough configuration
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev23.gecbe9a4:
  * Add os-iptables-stateful script for managing iptables
  * Remove source-repositories from element-deps
  * Configure neutron-ovs-cleanup to run after openvswitch
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev17.gbf1f9c2:
  * Add ulimit nofile config for rabbitmq
  * Add config passthrough support for ironic
  * Enable additional neutron passthrough configuration
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev11.g5f8e75a:
  * Allow ha_mode to be set
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev10.gc0d7f84:
  * Update mysql element to work better with OpenSuSe
  * Adds local storage Boot support on PXE failures
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev6.gef2ee61:
  * Use DISTRO_NAME rather than unbound DISTRO
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev4.gbadf9da:
  * Add stats service to haproxy
  0.7.10
  * Correctly set swift proxy bind ip
  * RabbitMQ element: Move /var/run/rabbitmq
  * Add CM signing directory for keystone client
  * Drop some unnecessary lsb_release calls
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev24.g12ef0d6:
  * Refresh heat-cfntools element
  * Prepare os-*-config for CI
  * 10-mysql was missing -u
  * Don't restart mysql during reset-db
  * Enable cinder.conf passthrough configuration
  * Store swift data, db & objects on /mnt filesystem
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev12.g2673dd2:
  * Check if stunnel.connect_ip is set
  * Switch from upstart to os-refresh-config for MySQL server-id's
  0.7.9
  * Enable collectl on systemd OSes
  * Enable ip nonlocal binds
  * Do not use cat in sysctl-set-value
  * Update openstack services to listen on stunnel connect port
  * Add keepalive option to rabbitmq config
  * MySQL Element: Make userhandle an optional paramater
  * Explicitly specify mysql node address
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev16.g0eec6b2:
  * Fix the nova.conf mustache template
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev14.ge662e88:
  * Update to use flavor_extra_specs
  * Start openvswitch-switch early in upstart
  * Use except x as y instead of except x, y
  * indent using 4 spaces (2/3)
  * Update icinga install script to enable icmp checks
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev4.g3d3d727:
  * add some missing “set -ue” declarations
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev2.gc1417cd:
  0.7.8
  * Add os-is-bootstrap-host element and script
  * Configure passthrough in swift config files
  * Enable additional ml2_conf.ini configuration
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev41.gb5583b8:
  * Update mysql cluster.cnf to match heat templates
  * Fall back to keystone-manage if pt-archiver isn't available
  * Fix sed regex from deleting old configs
  * Enable rsync daemon on swift-storage
  * Name 03-mariadb files uniquely
  * Ceilometer Config element for custom pipeline
  * Enable neutron.conf passthrough configuration
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev27.gab01084:
  * Properly enabling and restarting snmpd
  * Installing ssl-cert package as apache element requires it
  * Prevent tftp sysv init script from firing
  * Passthrough-enable keystone.conf
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev19.g12df31c:
  * indent using 4 spaces (1/3)
  * Added dependencies to install ceilometer
  * Standardise manifest creation and retrieval
  * Fix permissions on ironic virtual pm key
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev13.gb349e39:
  * indent using 4 spaces (1/3
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev12.ge0cdbd3:
  * Name disable-requiretty files uniquely
  * Change horizon binding address to local-ipv4 in haproxy case
  * Explicitly add the parted package
* Sat Jun  7 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev6.g2b41c4b:
  0.7.7
  * Update bootstack to use sysctl-set-value
  * Name sysctl.d files with .conf
  * Make the image name configurable
  * Prevent duplication of net_binds per service
  * Storing SNMPd credentials in Ceilometer
  * Allow multiple binds per service in haproxy
  * Refactor nagios3 element to refresh more often
  * Use the more common os_ names for novaclient
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev16.gbaeb09c:
  * Allow install mariadb from RDO repository
  * Add missing +x
  * Use sysctl -p instead of --load
  * rabbitmq-server depends on os-svc-install
  * Allow users to use swift out of the box
* Sat May 31 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev6.g327467f:
  0.7.6
  * Workaround Heat not handling token expiry
  * Add swiftclient library to swift
  * Ironic: set my_ip equal to local-ipv4 (if present)
  * Glance: Enable passthrough configuration
* Thu May 29 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev9.gd2573bc:
  * indent using 4 spaces (3/3)
  * Fix ironic api port in nova element
  * Adding -x to keystone orc scripts
* Wed May 28 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev3.gbb06190:
  * Install lsof during Percona install
  0.7.5
  * Fix a pep8 error in tempest/tests2skip.py
* Tue May 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev39.g2f330ea:
  * Error out when complete waitcondition fails
  * Create haproxy chroot directory if necessary
* Sun May 25 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev35.g8b2acd2:
  * Provide a way to set user permission for rabbitmq users
* Fri May 23 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev33.g45ff3c1:
  * Fix rabbitmq-server selinux labeling
* Wed May 21 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev31.g39f317a:
  * MySQL element - correct os-svc-restart arguments
* Tue May 20 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev29.g4b95c4b:
  * Fix missing reference to ceilometer sources.json file
* Mon May 19 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev28.gaf4306e:
  * element for installing Trove-API service
  * base element for trove control plane elements
  * Make nova-novncproxy usable in a public cloud
  * Make cinder-tgt/lio depend on cinder-volume
* Fri May 16 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev20.g7049791:
  * HA-Proxy element-deps on sysctl
* Thu May 15 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev18.g79486dd:
  * Add IPv4 flag for Ironic's TFTP setup
* Sat May 10 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev16.g50da841:
  * Install libffi-dev in heat element
  * Revert "Remove auth_strategy from nova.conf"
  * Allow nova to use different configuration files
  * Add a squid element
  * Allow heat to set postfix relayhost value
  * Add rally element
* Fri May  9 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev4.gbfbd136:
  * Use version dir, not LATEST for Percona d/l path
  0.7.4
  * Ensure rabbitmq can be successfully restarted
  * Document config properties in haproxy element
  * Adding collectl element
  * Revert "Provide an override level for os-apply-config"
  * Make python2.6 tests a noop
  * Remove out of date CI docs
  * Create stub for build_sphinx
  * Nova: disable scheduler debugging
* Thu May  8 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev28.g4d424dc:
  * Add pacemaker and corosync as tripleo elements
  * Create ~/.my.cnf with root user/password
  * Set more install types to package
* Wed May  7 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev22.g314c747:
  * Explicitly set Ironic's enabled drivers list
  * Add support for whitelist to tests2skip
  * Remove auth_strategy from nova.conf
  * haproxy make element balance type configurable
* Tue May  6 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev14.g7cf5346:
  * MySQL: Support Debian in libssl-symlink
  * Add notty file for Ironic
* Sat May  3 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev10.gbf9da8c:
  * Revert "RabbitMQ - Increase restart timeouts"
  * MySQL: Ensure libssl-symlink corrects exits on failure
  * Openvswitch 2.1 removes openvswitch-controller
* Fri May  2 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev4.g1ca1abf:
  * Fixing typo
* Thu May  1 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev2.g740c733:
  0.7.3
  * Fix galera stomping on boot-stack initialization
  * Fix networking on the control node after reboot
  * Fixup HP region testenv config
  * RabbitMQ - Increase restart timeouts
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev29.g0eb7b77:
  * Allow tempest tenant isolation
  * Deploy the ceilometer api_paste.ini file
  * MySQL: Support more than 2 cluster members
  * Provide an override level for os-apply-config
  * Glance: Fix typo in notifier-strategy
  * A sysctl element to manage settings via sysctl.d
  * Place swift-servers in appropriate zones
  * Drop gearman. (We use geard instead)
  * Disable log_queries_not_using_indexes in my.cnf
  * Add support for controlling concurrency
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev9.gbd01077:
  * RabbitMQ - Ensure node name comparisons are case insensitive
  * Get use-pip-manifest to ignore '-e' dev versions
* Sun Apr 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev5.gf23f2ec:
  * Change URL to get-pip.py
* Sat Apr 26 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev4.g68db3f5:
  0.7.2
  * Fix /var/lib/mysql selinux labeling
  * Add a new common-venv element
  * Horizon: dynamically set config time env vars
  * Openstack-clients: don't hard code venv
  * Add swift-get-nodes, swift-recon and swift-recon-cron
  * Prevent network interface logging w/ ovs agent
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev41.g6cc0d83:
  * sort the element-deps to please dib-lint
  * Add cinder-lio element
  * Move files common for mysql and mariadb under mysql-common
  * Update swift's selinux policies
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev33.gba5d498:
  * RabbitMQ - Consistent PID file location
  * Make bin/ensure-bridge executable
  * Haproxy should listen only on vip
  * Get the test env overcloud password from the correct place
  * Make innodb pool size configurable
  * RabbitMQ - Support clusters with more than 2 nodes
  * Fixup testenv config for interface names
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev19.ge971a13:
  * mysql-common requires python MySQLdb
  * Wire in _EXTRA_INSTALL_OPTS..
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev16.g07bb1ad:
  * Factor out tgt-specific parts of cinder element
  * RabbitMQ - Correct rabbit.users metadata sample
  * Stop using all ports option w/ neutron-ovs-cleanup
  * Refactor ensure-bridge for persistance
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev8.g063074e:
  * Passthrough-enable nova.conf
  * Prevent stand-alone tftpd on Debian
  * Read default_ephemeral_format from nova.conf
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev2.g6e86ba6:
  0.7.1
  * Create and set correct permissions on directories
  * Ensure the (block) loop device is available
  * debian: use os-svc-enable to enable apache
  * Failure in rabbitmq os-refresh-config on master
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev14.gcea5872:
  * Db-sync the Ceilometer database
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev12.g87bf3ea:
  * Rabbit startup on Debian is currently broken
* Sat Apr 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev10.ga7f5fff:
  0.7.0
  * Document the required mysql config values
  * Remove unnessary logging conf files from Ironic elements
  * Update neutron's selinux policies
  * Move dnsmasq-neutron.conf into subdir
  * Make tripleo-cd's te_localrc to support controller
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev54.gfbb8456:
  * Update write-pip-manifests pip freeze to use -l
  * Fix libssl/crypto symlinks on Fedora
  * Activate venvs in os-*-config elements source install
  * refresh-completed always failing
  * Fix ssl link for percona on i686
  * Update percona xtradb-cluster package
  * Changed the default rolename from Member to _member_
  * Create and use libvirtd group for package install
  * Make MySQL root password configurable
  * Remove mostly empty directories
  * Fix permissions on files in /etc/mysql
  * Add support for "signals" to os-refresh-config
  * The MySQL element requires the os-svc-install element
  * Fix tgt target in cinder element
  * Update keystone's selinux policies
  * Update glance's selinux policies
  * Update nova's selinux policies
  * Remove swift container sync service
* Thu Apr 10 2014 dmueller@suse.com
- remove:
    0001-Enable-iscsid-on-openSUSE.patch
    0001-Nova-package-install-support-openSUSE.patch
    0001-glance-package-install-support-openSUSE.patch
    0003-Excplicitly-install-dhcp-agent.patch
* Mon Apr  7 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev20.gb9ff75f:
  * Enable Galera clustering
  * Fix ironic api and conductor logging
  * Excplicitly install dhcp-agent
  * Secure the mysql installation
  * Allow setting of compute configuration options
  * Glance: Allow configuring default_log_levels
  * Glance: Change seed json to use config hierarchy
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev6.g78d9a88:
  0.6.5
  * reset-db restarts mysql only when a change is made
  * Add unit tests for os-svc-daemon
  * Enable unit testing
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev27.g111a6d1:
  * Relabel /tftpboot if selinux is used
  * Install bridge-utils on compute nodes
  * Expose dnsmasq options
* Thu Apr  3 2014 opensuse-packaging@opensuse.org
- Rebased patches:
  + 0003-Excplicitly-install-dhcp-agent.patch (manually)
  Thu Apr  3 12:35:16 UTC 2014 -
- Update to version tripleo-image-elements-0.0.1.dev21.g8557329:
  * Performance tweaks for testenv deploy script
  * Adding baremetal guard to RamWeigher
  * Ensure the swift ring is readable by swift
  0.6.4
  * Install the check_mk Agent
  * Adds mariadb element
  * Adds mysql-dev and mariadb-dev elements
  * Adds mysql-common element
  * Drop dnsmasq_range from the seeds config.json
  * Enable os-collect-config for the package install
  * Add fedora-rdo-icehouse element
  * Add no-op cinder-tgt element
  * Add mysql-mariadb-compat element
  * Allow os-svc-daemon to specify dir name with -d option
  * Add support to deploy-testenv for multiple environments
  * Create pip manifest files of installed packages
  * Fixup Ironic support
  * Permit overriding the nova compute manager
  * Add a softlink for /var/log/mysql
  * Wire in OPENSTACK_VENV_DIR default if set
  * Update elements to use os-svc-install -i
  * Update elements to use os-svc-daemon -i
  * Configure uri_v3 auth url
  * qpidd user should own sasldb file
  * Inject admin username and tenant name in config
  * Setting negative RamWeigher
  * Custom service file is not needed for qpidd on systemd based hosts
* Tue Mar 25 2014 dmueller@suse.com
- Update to version tripleo-image-elements-0.0.1.dev15.g3815353:
  * Ensure the nova element is installable
  * Explicitly install pbr via pip
  * Add -i options to os-svc-install/os-svc-daemon..
  * Adding more .deb dependencies for pypi-mirror on 13.10
  * Add missing +x
  * Don't install percona-toolkit if distro is RHEL7
  0.6.3
  * Update selinux policies for mysqld
  * Make os-refresh-config install.d hook run later
  * Always create o-a-c's $TEMPLATE_ROOT
  * Use xtradb-cluster in place of mysql
  * os-*-config package install support
  * Treat failure to hear back from neutron as non fatal
  * Remove many references to github
  * Install Ironic and IronicClient in to nova's venv
  * Add link for Ironic rootwrap
  * Change nova scheduler driver location
  * Correct permissions on /tftpdboot/pxelinux.cfg directory
  * Restrict deletion of packaged files to Fedora like packages
  * remove keystone-signing dir creation
  * Add +x to executable files
  * Fix flake8 failures
  * Fix compatibility link creation for mysql.sock on openSUSE
  * Enable iscsid on openSUSE
  * Update openstack config files to support rabbitmq cluster
  * Fix rabbitmq env file name and log path
  * Add cluster support for rabbitmq element
- Rebased patches:
  + 0001-remove-keystone-signing-dir-creation.patch dropped (merged upstream)
* Fri Mar 21 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-remove-keystone-signing-dir-creation.patch dropped (merged upstream)
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev76.g64e979f:
  * remove keystone-signing dir creation
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev74.gbbc2ae8:
  * os-*-config package install support
  * Treat failure to hear back from neutron as non fatal
  * Add +x to executable files
  * Fix flake8 failures
  * Fix compatibility link creation for mysql.sock on openSUSE
  * Enable iscsid on openSUSE
  * Update openstack config files to support rabbitmq cluster
  * Fix rabbitmq env file name and log path
  * Add cluster support for rabbitmq element
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev57.g8ff4642:
  * Install Ironic and IronicClient in to nova's venv
  * Add link for Ironic rootwrap
  * Change nova scheduler driver location
  * Correct permissions on /tftpdboot/pxelinux.cfg directory
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev49.g34f867f:
  * Heat/Horizon/Tempest: don't hard code venv dir
  * Ceilo/Ironic/Tuskar: don't hard code venv dir
  * Glance/Cinder/Keystone/Swift: don't hard code venv
  * rsync configurations to support multi-node swift
  * Drop the os-svc-install -n -c options
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev43.gbbc98e0:
  * Adds NFS backend support for cinder-volume
  * Neutron: don't hard code the venv dir
  * Nova: don't hard code the venv dir
  * Link db sync utilities to /usr/local/bin..
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev35.g5007ca9:
  * Use os-svc-restart in boot-stack reset-db
  * Drop the os-svc-install -n -c options
  * Stop using the os-svc-install -n -c options
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev32.gef1ee25:
  * List filesystem and swift as known glance stores
  * Use upstream/package keystone-paste.ini
  * Make log_file and notifier_strategy configurable
  * Install latest version of pip and virtualenv
  * Adds nfs-server element
  * Additional services to support multiple swift storage nodes
  * Add missing +x
  * Add create-dir service for neutron ovs agent
  * Remove unneeded chown of /var/run/nova
  * Use os-svc-restart for cinder-api
  * Common cinder install code
  * Add set -eux
  * Use local apt and pypi mirror for tripleo-cd
  * Revert "Seed specific Fedora network configuration"
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev7.g8d89ae7:
  * Linking to debian apache site config more like debian
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev5.g1105e56:
  * Work around missing kombu requirement for keystone
  * Fix formatting of yaml in heat/README.md
  * Update neutron config to use multiple dhcp agents
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev1.g06a1d9e:
  * Add missing package dependencies for horizon
  0.6.2
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev16.g48332b0:
  * Install lvm2 package for cinder
  * Fix typo
  * Add fedora-rdo-icehouse element
  * Revert "Workaround broken Neutron requirements."
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev8.g8d231cf:
  * Fixing error in readme
  * Add missing +x
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev4.gad868bf:
  * Configure horizon when using /etc/apache2
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev2.g4d1ab4b:
  0.6.1
  * Run neutron-db-manage on reset-db
  * Glanceclient now needs libffi-dev to install
  * Fixes links in README.md
  * nova-kvm: configure /etc/sysconfig/libvirtd
* Sat Feb 22 2014 dmueller@suse.com
- Update to version tripleo-image-elements-0.0.1.dev52.g9cbd248:
  * Don't use /cgit/ urls for git
  * Fix neutron package install
  * Enable live block migration for libvirt
  * Stop using deprecated libvirt_type setting
  * Restart libvirt-bin when reconfiguring
* Thu Feb 20 2014 dmueller@suse.com
- Update to version tripleo-image-elements-0.0.1.dev43.gf154a54:
  * Add create-dir service for nova
  * Add create-dir service for neutron
  * Ability to add *-create-dir service separately
  * Glance: Add 'db' to README.md
  * Glance: make 'workers' configurable
  * Set default_ephemeral_format to ext4 for seed
  * Nova-baremetal support for openSUSE
  * Install syslinux also in nova-baremetal
  * Remove rabbitmq-server from boot-stack's element-deps
* Wed Feb 19 2014 rhafer@suse.com
- Sync baremetal patch with latest iteration from review.openstack.org
* Wed Feb 19 2014 dmueller@suse.com
- added patches:
  * debug.diff
* Tue Feb 18 2014 dmueller@suse.com
- added patches:
  * 0001-Fix-neutronclient-element-for-package-based-install.patch
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev148.ga84a463:
  * Workaround broken Neutron requirements
  * Move init-neutron-ovs to bin dir in src tree
* Mon Feb 17 2014 dmueller@suse.com
- Update to version tripleo-image-elements-0.0.1.dev144.g76bba2c:
  * Update keystone config to use external paste.ini
  * Fixup tripleo-cd fallout from the CI push
  * Locally override bad keystone default
  * Remove no longer needed generation of the virtual-power-key
  * Look for local.json in preference to config.json
  * Rename Openstack to OpenStack
  * Move cinder-volume creation to post-configure
* Sat Feb 15 2014 dmueller@suse.com
- added patches:
  * 0001-Nova-baremetal-support-for-openSUSE.patch
* Fri Feb 14 2014 dmueller@suse.com
- added patches:
  * 0001-Enable-iscsid-on-openSUSE.patch
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version tripleo-image-elements-0.0.1.dev131.g458a02e:
  * Inject rather than read-out the virt power key
  * Remove file injection settings from nova.conf
  * Parameterize geard broker and test env public interface
  * Seed specific Fedora network configuration
  * Add needed swift storage dirs for packaged install
  * Install openstack-swift-object
* Thu Feb 13 2014 dmueller@suse.com
- Update to version tripleo-image-elements-0.0.1.dev120.g12233d4:
  * Parameterize ci-overcloud endpoint for deploy-testenv
  * Add a script to deploy the ci-overcloud
  * Libvirt configuration for migrations in nova
  * Add username to rabbit in local heat metadata
* Tue Feb 11 2014 speilicke@suse.com
- Update to version tripleo-image-elements-0.0.1.dev113.g82cb936:
  * Use rfc compliant example data in hosts element
  * Neutron keystone-signing dir should be 0700..
  * Fix misspellings in tripleo-image-elements
  * keystone crontab PATH needs /usr/local/bin
  * Install systemd service files into /usr/lib/
  * Fix os-svc-restart to exit correctly without -n
  * os-svc-enable should error when no svcname given
  * Add package install support to cinder
  * Fix cinder-volume: service is called tgt
  * Account for amd64 architecture in snmpd element
  * Fix python-ceilometerclient package install
  * Use new cleaner setting for OVERCLOUD_LIBVIRT_TYPE
  * Permit setting ml2 flat networks in Neutron
  * os-config-applier->os-apply-config for Neutron
  * Permit injecting entries into /etc/hosts
  * Fix use of os-svc-restart in cinder
  * Package install support for python-ironicclient
  * keystone package install support (openSUSE)
  * Add a helper to deploy testenvironments
  * Document shortcomings of pypi-openstack element
  * Fix psutils failing to install for heat-cfntools
  * Fix mysql element on Fedora 19
  * Add dependency on source-repositories
- Rebased patches:
  + 0001-keystone-package-install-support-openSUSE.patch dropped (merged upstream)
  + 0001-openSUSE-package-install-support-for-neutron.patch (manually)
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Thu Feb  6 2014 opensuse-packaging@opensuse.org
- Rebased patches:
  + 0001-openSUSE-package-install-support-for-neutron.patch (manually)
* Tue Feb  4 2014 dmueller@suse.com
- add 0001-glance-package-install-support-openSUSE.patch
  0001-keystone-package-install-support-openSUSE.patch
  0001-Restrict-install-hacks-to-Fedora-openSUSE-support.patch,
  0001-Also-install-syslinux-in-package-install-mode.patch
* Mon Feb  3 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev74:
  + Stop adding qpid to heat requirements.
  + Install packages required to build clients
* Mon Feb  3 2014 dmueller@suse.com
- add 0001-Avoid-adding-qpid-python-twice.patch
* Mon Feb  3 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev71:
  + Install openstack-neutron-ml2
  + Fixes authentication for cinder
  + Fixes heat-cfntools install
  + Fixes tgtd restart in cinder element
* Sat Feb  1 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Fix-mysql-installation-on-openSUSE.patch dropped (merged upstream)
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev63:
  + Move heat-manage call to heat-engine
  + Delete stale file injection option.
  + Fix mysql installation on openSUSE
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev57:
  + Add nova-ironic element to replace nova-baremetal
  + Fix exit status of haproxy install script
  + Moving iptables rules to the relevant elements
  + Source devtest_variables in tripleo-cd.
  + Disable libvirt file injection.
  + Force UTF-8 charset and collation for MySQL
* Thu Jan 30 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev48:
  + SSL support for openstack services.
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev46:
  + Add a debian-mirror element
  + Updates permissions on 97-mysql-iptables
  + Ensure correct tftp directory ownership for Ironic
  + Add package install support to neutron
  + Add package install support to keystone
  + Install keystone-manage into /usr/local/bin
  + Add package install support to horizon
  + Add package install support to heat
  + Install heat-manage into /usr/local/bin
  + Add package install support to glance
  + Install glance-manage into /usr/local/bin
* Wed Jan 29 2014 dmueller@suse.com
- add 0001-Fix-editing-of-systemd-files-on-openSUSE.patch
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev24:
  + Do not drop databases without a good reason
  + Add package install support to openstack-clients
  + Add package install support to novnc
  + Add package install support to nova
  + Install nova-manage into /usr/local/bin
  + Install nova-baremetal-manage into /usr/local/bin
* Tue Jan 28 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Enable-xinetd-service.patch dropped (merged upstream)
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev12:
  + Remove deprecated option.
  + Make nova and nova-kvm elements more compatible.
  + Enable xinetd service
  + Configure glance to use the internal swift endpoint
* Mon Jan 27 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev5:
  + Move keystone os-config-applier to os-apply-config
  + Preserve keystone tokens on rebuilds.
* Sat Jan 25 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev3:
  + Move cinder iptables rules into scoped elements
  + Fixes cinder element dependencies
  + Make neutron-openvswitch-agent run cleanup.
  + Enable the nova v3 api
  + Add os-svc-restart
  + WIP: Make rabbitmq-server keep state in /mnt/state
  + Fix rabbitmq-server script on Ubuntu
  + Add package install support to swift
  + Add package install support to openstack-clients
  + Revert "Add package install support to openstack-clients"
* Fri Jan 24 2014 dmueller@suse.com
- add 0001-Enable-xinetd-service.patch
* Fri Jan 24 2014 dmueller@suse.com
- add 0001-Fix-mysql-installation-on-openSUSE.patch
* Tue Jan 21 2014 rhafer@suse.com
- add 0016-Use-os-svc-enable-for-mysql.patch to use map-services
  for mysql
* Tue Jan 21 2014 dmueller@suse.com
- add 0001-Add-os-svc-restart.patch
    0002-Add-package-install-support-to-swift.patch
    0003-Add-package-install-support-to-openstack-clients.patch
    0004-Add-package-install-support-to-novnc.patch
    0005-Add-package-install-support-to-nova.patch
    0006-Install-nova-manage-into-usr-local-bin.patch
    0007-Install-nova-baremetal-manage-into-usr-local-bin.patch
    0008-Add-package-install-support-to-neutron.patch
    0009-Add-package-install-support-to-keystone.patch
    0010-Install-keystone-manage-into-usr-local-bin.patch
    0011-Add-package-install-support-to-horizon.patch
    0012-Add-package-install-support-to-heat.patch
    0013-Install-heat-manage-into-usr-local-bin.patch
    0014-Add-package-install-support-to-glance.patch
    0015-Install-glance-manage-into-usr-local-bin.patch
* Tue Jan 21 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev31:
  + Adds iptables element
  + Updates gearman iptables rule
  + Updates boot-stack iptables file
  + Updates iptables rule for MySQL element
  + Updates cinder iptables rules
  + Remove --system-site-packages from clients virtualenv
  + Add Ceilometer elements
  + Disable uncompressed images for tripleo-cd.
  + Preserve 'did we init openstack' state file.
  + Replace /var/lib/mysql path in the upstart script
  + Fixes for use behind proxy
  + Add haproxy element
* Mon Jan 20 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1.dev9:
  + Move dnsmasq install into appropriate elements.
  + Add missed file.
  + Disable debug logging in neutron.
  + Disable debug in glance-api.conf
  + Disable log debug in keystone.conf.
  + Disable debug in cinder.conf.
  + Update OpenStack services to support qpidd element
  + Delete duplicate section in nova.conf.
  + Allow enabling Neutron orchestrated PXE.
  + Set the seed nodes host name to 'seed'.
  + Switch to using a dedicated TFTPd for baremetal.
  + Remove the first-boot.d script from jenkins
  + Align build files and requirements
  + Fix another remaining use of PIP_INDEX_URL.
  + Fix region name in neutron metadata_agent
  + Allow the gre protocol on overcloud
  + Add a tripleo-cd for CD deploying an overcloud.
  + Make tripleo-cd install.d script executable
  + Pass intended TRIPLEO_ROOT to setup-env
  + Element to build and maintain local pypi mirror
  + Set my_ip for nova.
  + Fix URL to tripleo-heat-templates repository
  + Conditionally set my_ip
  + Update the test environment on each loop.
  + Make tripleo-cd use local stackrc
  + Display commands when running reset-db
  + Signal on configuration completion.
  + Notify IRC when tripleo-cd completes.
  + Support configuring a VLAN on the public network.
  + Add an element installing tuskar API service
  + Handle setting a new default route.
  + Setup CD overcloud public networking.
  + Pass in the CD overcloud floating net details.
  + Correctly report errors.
  + Setup overcloud user and administrative accounts.
  + Add purge_deleted cron job to heat-engine
  + Remove readable permissions for "other"
  + Fix quoting in tripleo-cd.sh
  + Set nova's default_floating_pool setting.
  + Switch to using refresh-env.
  + Remove obsolete docs about iptables.
  + Document tripleo-cd configuration.
  + Support working with neutron host-routes.
  + Use kvm for the cd-overcloud.
  + Fix a typo in tuskar element config file.
  + Make pypi-mirror more secure and robust
  + Make pypi-mirror use pypi-mirror repo
  + Utilize pypi-mirror from tripleo-cd
  + Make tuskar element supply tripleo-heat-templates
  + Use cinder.conf for auth_token configs.
  + Use nova.conf for auth_token configs.
  + Introduce support for persistent state in /mnt.
  + Fix tuskar image element config file
  + Improve Keystone logging
  + Add use_file_injection key to nova config file
  + Fix processing of routes in init-neutron-ovs
  + Add Fedora support for Apache 2
  + Reload Apache config in one place
  + Switch seed vm to Neutron native pxe
  + Add tftp support for Fedora
  + Rename heat_watch_server_url to watch_server_url
  + Add Ironic elements
  + add python-ironicclient to openstack-clients
  + Add Horizon element
  + Build 64-bit images for the tripleo-cd overcloud.
  + Remove stale comments
  + Adding ml2 support to baremetal.
  + Remove native_pxe option.
  + Add swiftclient to list of installed clients
  + Use the cinder upstream api-paste.ini config.
  + Fix config of ML2 plugin in neutron element
  + Fix the stale URL of devtest doc in boot-stack
  + Use openstack git repos when possible
  + Use dib helper script to determine init system
  + Switch novato the upstream api-paste.ini
  + Add element to install memcached
  + Use the heat upstream api-paste.ini config.
  + Use the neutron upstream api-paste.ini config.
  + Use DIB_INIT_SYSTEM for systemd checks.
  + Adding element to install the gearman job server
  + Update swift element to install from source
  + Use swift as a backend to glance
  + Support building wheels (PEP-427)
  + Switch from quantum to neutron in nova.conf.
  + Use os-apply-config everywhere
  + Run DB sync in nova-api element post configure.
  + Fix neutron credentials in nova config file
  + Remove the systemctl daemon-reload commands
  + Run DB sync in nova-baremetal element post conf.
  + Run DB sync in glance element post confgure.
  + Run DB sync in heat-api element post configure.
  + Run DB sync in cinder element post configure.
  + Run DB sync in ironic-api element post configure.
  + Run DB sync in tuskar-api element post configure.
  + Run DB sync in keystone element post configure.
  + Open up gearman server port.
  + Add cinder to the list of installed clients
  + Use upstream glance policy.json
  + Refactor reset-db so we don't sync by default.
  + Fix PATH in pypi-mirror cron job
  + Update nova-kvm to destroy the default libvirt net
  + Use policy.json from neutron git tree
  + Log pypi-mirror cron job output to syslog
  + In tripleo-cd log hardware to instance map
  + Adding a geard element
  + Clarify that boot-stack isn't only for baremetal
  + Fix building of overcloud compute node image
  + Add element for tripleo-heat-templates.
  + Make generic waitcondition for os-refresh-config
  + Add default to metadata in 99-refresh-completed
  + Use upstream nova policy.json
  + Fix typo with tripleo-cd systemd unit
  + Add some more details about os-collect-config
  + Throttle tripleo-cd.sh
  + Updates .gitignore
  + Correct tox -e pep8 failed items
  + Correct os-refresh-config README.md typo and format
  + Add diskimage-builder element.
  + Add an ntp element
  + Need libssl-dev to install glance standalone
  + Switch quantum -> neutron in the README.md
  + Remove dup firewall_driver when using bm driver.
  + Use openstack.common Nova rpc modules.
  + Remove bash -x mode in parts of tripleo-cd.sh
  + Use upstream Glance paste configs
  + Adds cinder.keymgr.fixed_key to cinder element
  + Set auth_uri for keystoneclient authtoken
  + Add extra swift features
  + Add a service enable/disable mechanism for upstart
  + Enable services with os-svc-enable
  + Call os-svc-enable in post-configure.d
  + Enable some services after installing daemon's...
  + Don't enable services in os-svc-install
  + Use upstream policy.json for keystone.
  + Use upstream policy.json for cinder.
  + Use upstream policy.json for heat.
  + Try to list heat overcloud stack events after run
  + Glance: use upstream schema-image.json
  + Fix closing cinder.keymgr tag
  + Consolidate rootwrap settings for neutron element
  + Glance: make logging configurable...
  + Fix os-svc-daemon missing env in upstart jobs
  + Export OS_SVC_ENABLE_CONTROl in upstart jobs
  + Fix cinder element to make volumes persistent
  + Remove notifier_strategy config from glance-api
  + Filter out LVM block devices for cinder
  + Make cinder loopback config idempotent
  + Make cinder buildable stand-alone
  + Fix cinder migration script logic error
  + Need tgt for cinder
  + Keystone: make logging configurable...
  + Fix use-ephemeral rsync of directory
  + Heat: make logging configurable...
  + Cinder: make logging configurable...
  + Neutron: make logging configurable...
  + Create network-utils element
  + Nova: make logging configurable...
  + Set the correct path to os-collect-config
  + Do not install unneeded python-zmq package
  + Add quotes around $DISTRO
  + Fix building mysql element on non-upstart systems
  + Configure os-collect-config on seed properly
  + Fix the grub2 config location for non Ubuntu/Debian systems
  + Work around broken cloud-init ephemeral disk code
  + Fix arguments in call to os-apply-config
  + Set DIB_COMMON_ELEMENTS for devtest_overcloud.sh
  + Don't compress disk images for tripleo-cd.
  + Add ephemeral state preservation support to mysql
  + Make mysql.create-users section optional
  + Remove mysql debian-sys-maint user
  + Remove obsolete haveged and clean-apt from mysql
  + Remove any accidental extra /etc/my.cnf
  + Initialize underlying database files
  + Use mysql element in boot-stack
  + Restart mysql during o-r-c post-configure
  + Enable mysqld service in mysql element
  + Pin virtualenv to 1.10.1 to work around pip bug
  + Allow setting nova default_ephemeral_format
  + Only move mysql data files if they exist
  + Use [client] instead of [mysql] in my.cnf
  + Install link to mysql unix socket
  + Remove unneeded /var/run/nova/keys from install
  + Make nova preserve state in /mnt/state
  + Install openvswitch-switch
  + Add tempest element
  + Use bash in mysql element install script.
  + Restrict mode of os-collect-config.conf
  + Make neutron element preserve state
  + Modify glance element to preserve state
  + Don't chown /var/lib/misc/
  + Enable mariadb service.
  + Add keepalived element
  + Enable horizon support on debian-based platforms
  + Add lock_path to neutron.conf
  + Install os-collect-config from release into a venv
  + Install os-refresh-config from release into a venv
  + Don't install python-pip
  + Don't install git-core
  + Updates cinder element
  + Updates nova notty file
  + Updates gearman iptables file
  + Update apache2 to use the os-apply-config dir.
  + Fix broken iptables command in cinder
  + Add new neutron-ovs-cleanup element.
  + Add iptables rule for Ironic in Fedora
  + Remove extra shebang from boot-stack-logs file
  + Don't install scripts straight to /usr/local/bin
  + Sync with global requirements
  + Install environment and templates for heat-engine
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.1.a39:
  + Remove debug and verbose config from nova.conf
  + Remove restart of iscsi services.
  + Update nova.conf to use [database] connection=.
  + Split neutron-dhcp-agent into it's own element.
  + Split out nova-bm-dnsmasq.
  + Note where nova-bm-dnsmasq is obsolete.
  + Fix missing nova database.connection
* Wed Sep 18 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.1.a30:
  + Allow environment be specified for os-svc-install
  + Specify LIBVIRT_DEFAULT_URI for nova-compute os-svc-install
  + Ignore junk os-config-applier templates.
  + Fix doc. pointing to correct binary
* Tue Sep 17 2013 dmueller@suse.com
- fix install on SLE11 SP3
* Tue Sep 17 2013 opensuse-cloud@opensuse.org
- Update to version 0.0.1.a22:
  + Allow packet forwarding for Fedora.
  + Use full namespace in variables in heat.conf
* Mon Sep 16 2013 speilicke@suse.com
- Use source service (and update to 0.0.1.a19)
* Mon Sep 16 2013 speilicke@suse.com
- Initial version
